package de.lazyzero.kkMulticopterFlashTool.utils;

import avr8_burn_o_mat.AVR;

public class FirmwareCommit {

	private String type = "";
	private String version = "";
	private AVR controller;
	private String author = "";
	private String filename = "";
	private String zipfile = "";
	private String commentURL = "";
	private String comment = "";
	private String md5 = "";

	public FirmwareCommit(String type, String version, AVR controller,
			String author, String filename, String zipfile, String commentURL, String comment) {
		this.type = type;
		this.version = version;
		this.controller = controller;
		this.author = author;
		this.filename = filename;
		this.zipfile = zipfile;
		this.commentURL = commentURL;
		this.comment = comment;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public AVR getController() {
		return controller;
	}

	public void setController(AVR controller) {
		this.controller = controller;
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public String getFilename() {
		return filename;
	}

	public void setFilename(String filename) {
		this.filename = filename;
	}

	public String getZipfile() {
		return zipfile;
	}

	public void setZipfile(String zipfile) {
		this.zipfile = zipfile;
	}

	public String getCommentURL() {
		return commentURL;
	}

	public void setCommentURL(String commentURL) {
		this.commentURL = commentURL;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public String getMd5() {
		return md5 ;
	}

}
